curl --request PATCH \
--url https://api.tastelabs.com/judge/brand-adherence/{job_id}/visibility \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"is_public": true
}
'import requests
url = "https://api.tastelabs.com/judge/brand-adherence/{job_id}/visibility"
payload = { "is_public": True }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_public: true})
};
fetch('https://api.tastelabs.com/judge/brand-adherence/{job_id}/visibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"status": "accepted",
"reference_url": "<string>",
"source_url": "<string>",
"accepted_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"current_step": "<string>",
"step_started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cache_hit": {
"design_extraction": {
"reference": true,
"source": true
},
"verifier_extraction": {
"reference": true,
"source": true
},
"final_report": true
},
"is_public": true,
"api_key_name": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}{
"detail": {
"error": "UNAUTHORIZED",
"message": "Bearer token or X-API-Key required"
}
}{
"detail": {
"error": "FORBIDDEN",
"message": "This key is not allowed to call this endpoint."
}
}{
"detail": {
"error": "NOT_FOUND",
"message": "Submission not found"
}
}{
"detail": [
{
"loc": [
"body",
"url"
],
"msg": "Field required",
"type": "missing"
}
]
}"Internal Server Error"Update job visibility
Toggles whether a job’s verdict is public. Public verdicts can be read from GET /judge/brand-adherence/{job_id}/result without authentication. Only the owner of the job can change its visibility.
Authorizations
API key issued by the Taste Engine. Create one in the dashboard at https://engine.tastelabs.com/app/api-keys.
Path Parameters
Brand-adherence job identifier, as returned by POST /judge/brand-adherence.
Body
Set to true to make the result publicly readable, false to make it private.
Response
The updated job status view.
Status view of a single brand-adherence job.
Lifecycle status of a brand-adherence job.
accepted, extracting, judging, completed, failed Name of the pipeline stage currently running, e.g. waiting_for_extractions, judging_scene.
Per-side reuse at each pipeline layer. Reuse makes the job faster.
Show child attributes
Show child attributes
Name of the API key that created the job, when one was used. null for dashboard runs.
null while the job is still running.
Error message when status is failed.
Was this page helpful?

